Subject: Re: [PATCH net] sfc: check for zero length in EF10 RX prefix

From: Jay Vosburgh <[email-masked]>
Date: Fri, 01 Sep 2023 13:28:27 -0700

[email-masked] wrote:

>Hello:
>
>This patch was applied to netdev/net.git (main)
>by David S. Miller <[email-masked]>:
>
>On Thu, 31 Aug 2023 17:58:11 +0100 you wrote:
>> From: Edward Cree <[email-masked]>
>> 
>> When EF10 RXDP firmware is operating in cut-through mode, packet length
>>  is not known at the time the RX prefix is generated, so it is left as
>>  zero and RX event merging is inhibited to ensure that the length is
>>  available in the RX event.  However, it has been found that in certain
>>  circumstances the RX events for these packets still get merged,
>>  meaning the driver cannot read the length from the RX event, and tries
>>  to use the length from the prefix.
>> The resulting zero-length SKBs cause crashes in GRO since commit
>>  1d11fa696733 ("net-gro: remove GRO_DROP"), so add a check to the driver
>>  to detect these zero-length RX events and discard the packet.
>> 
>> [...]

	Should this have included

Fixes: 1d11fa696733 ("net-gro: remove GRO_DROP")

	to queue the patch for -stable?  We have users running into this
issue on 5.15 series kernels.

	-J

---
	-Jay Vosburgh, [email-masked]